Private Sub Form_Load()
Dim objApp As SolidEdgeframework.Application
Dim objDoc As SolidEdgepart.PartDocument
Dim objVars As SolidEdgeframework.Variables
Dim objVar1 As SolidEdgeframework.variable
Dim strVar As String
Dim strFormula As String
Dim strForm As String
' Report errors
Const PI = 3.14159265358979
' Create/get the application with specific settings
On Error Resume Next
Set ObjApp = GetObject(, "SolidEdge.Application")
If Err Then
Err.clear
Set ObjApp = CreateObject("SolidEdge.Application")
Set ObjDoc = objApp.Documents.Add("SolidEdge.PartDocument")
objApp.Visible = True
Else
Set ObjDoc = objApp.ActiveDocument
End If
' Open the TestCase file
Set objDoc = objApp.Documents.Open(FileName:="Variables.par")
' Add a new Variable to the already existing Variables
Set objVars = objDoc.Variables
' Set the Variable name and Formula
strVar = "MyVar"
strFormula = "2* Height"
Set objVar1 = objVars.Add(pName:=strVar, pFormula:=strFormula, UnitsType:=igUnitDistance)
' Get the Formula of Variable
strForm = objVar1.Formula
'Change the Formula for this variable
objVar1.Formula = "3* Height"
 
' USER DISPLAY
' Release objects
Set objApp = Nothing
Set objDoc = Nothing
Set objVars = Nothing
Set objVar1 = Nothing
End Sub 
